import * as core from "@terrascript/core";

export interface DsExportArgs {
  name: string | core.StringOut;
}

export class DsExport extends core.Data<DsExportArgs> {
  @core.attr(String, { computed: true })
  public exportingStackId!: string | core.StringOut;

  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  @core.attr(String)
  public name!: string | core.StringOut;

  @core.attr(String, { computed: true })
  public value!: string | core.StringOut;

  constructor(name: string, args?: DsExportArgs) {
    super(name, "aws_cloudformation_export", args);
  }

  public override getNamespace(): string {
    return "aws_cloudformation";
  }
}
